/*
 * Szegedi Tudományegyetem
 * Informatikai Tanszékcsoport
 * Szoftverfejlesztés Tanszék
 *
 * Gergely Tamás, 2008. őszi félév.
 * $Id: vizforralas.h 1168 2010-09-24 10:02:51Z gertom $
 *
 * Ez a fájl az SZTE Programozás Alapjai kurzusához készült.
 * A fájl NEM SZABVÁNYOS C header fájl, mert a függvények törzsét is
 * tartalmazza, de így egyszerűbb a használata.
 *
 * Használat:
 *
 * A c forrásprogram elejére kell beírni az
 *	#include "vizforralas.h"
 * sort, ezek után használhatóak lesznek az alábbi függvények:
 */

#ifndef VIZFORRALAS_H
#define VIZFORRALAS_H

#include <stdio.h>

void fazek_mozgat(char*); // fazék mozgatása megadott helyre
void fazek_kiontese();    // fazék kiöntése
void csap_megnyitasa();   // csap kinyitása
void csap_elzarasa();     // csap elzárása
void varakozas(char*);    // várakozás valamire
void gaz_meggyujtasa();   // gáz meggyújtása
void gaz_elzarasa();      // gáz elzárása

/* A következő rész tartalmazza a fenti függvények implementációját, e
 * miatt nem szabványos ez a C header fájl.
 */

void fazek_mozgat(char* hova)
{
	printf("Atmozgatom a fazekat %s.\n", hova);
}

void fazek_kiontese()
{
	printf("Kiontom a fazek tartalmat.\n");
}

void csap_megnyitasa()
{
	printf("Kinyitom a csapot.\n");
}

void csap_elzarasa()
{
	printf("Elzarom a csapot.\n");
}

void varakozas(char* mire)
{
	printf("Megvarom amig %s.\n", mire);
}

void gaz_meggyujtasa()
{
	printf("Meggyujtom a gazt.\n");
}

void gaz_elzarasa()
{
	printf("Elzarom a gazt.\n");
}

#endif
